﻿using System;
using System.Globalization;
using System.IO;
using System.Web.Util;


namespace FireBus.BuildTasks
{
	public class Decoder : HttpEncoder
	{
		public String Decode(string value)
		{
			using (var writer = new StringWriter(CultureInfo.CurrentCulture))
			{
				HtmlDecode(value, writer);
				return writer.ToString();
			}
		}
	}
}
