﻿using System;


namespace FireBus.Contracts
{
	[Serializable]
	public class ExtensionLoadEvent
	{
		private readonly ExtensionName _Name;


		public ExtensionName Name
		{
			get { return _Name; }
		}


		public ExtensionLoadEvent(ExtensionName name)
		{
			if (name == null)
			{
				throw new ArgumentNullException("name");
			}
			_Name = name;
		}
	}
}
