﻿using System;


namespace FireBus.Contracts
{
	[Serializable]
	public class ExtensionModuleName : ValueObject<String>
	{
		public ExtensionModuleName(String name)
		{
			if (String.IsNullOrEmpty(name))
			{
				throw new ArgumentNullException("name");
			}
			Value = name;
		}
	}
}
