﻿namespace FireBus.Contracts
{
	public interface IStorage
	{
		ExtensionToken[] GetExtensions();

		void AddExtension(ExtensionToken token);

		void RemoveExtension(ExtensionName name);

		void LoadExtension(ExtensionName name);

		void UnloadExtension(ExtensionName name);

		ExtensionState GetExtensionState(ExtensionName name);
	}
}
