﻿using System;
using System.Runtime.Serialization;


namespace FireBus.Contracts
{
	[Serializable]
	public class InvalidRequestException : Exception
	{
		public InvalidRequestException()
		{
		}

		public InvalidRequestException(String message)
			: base(message)
		{
		}

		public InvalidRequestException(String message, Exception inner)
			: base(message, inner)
		{
		}

		protected InvalidRequestException(SerializationInfo info, StreamingContext context)
			: base(info, context)
		{
		}
	}
}
