﻿using System;
using System.Configuration;


namespace FireBus.Core.Configuration
{
	public class ExtensionTokenElement : ConfigurationElement
	{
		[ConfigurationProperty("name", IsKey = true, IsRequired = true)]
		public String Name
		{
			get { return (String)this["name"]; }
			set { this["name"] = value; }
		}

		[ConfigurationProperty("path", IsRequired = true)]
		public String Path
		{
			get { return (String)this["path"]; }
			set { this["path"] = value; }
		}

		[ConfigurationProperty("typeName", IsRequired = true)]
		public String TypeName
		{
			get { return (String)this["typeName"]; }
			set { this["typeName"] = value; }
		}
	}
}
