﻿using System;
using System.Configuration;


namespace FireBus.Core.Configuration
{
	public class HostConfigurationSection : ConfigurationSection
	{
		[ConfigurationProperty("messageAccessor", IsRequired = true)]
		public String MessageAccessor
		{
			get { return (String)base["messageAccessor"]; }
		}

		[ConfigurationProperty("extensions", IsDefaultCollection = true)]
		public ExtensionTokenElementCollection Extensions
		{
			get { return (ExtensionTokenElementCollection)base["extensions"]; }
		}
	}
}
