﻿using System;


namespace FireBus.Core
{
	public interface IMessageAccessor
	{
		String ExtensionWithGivenNameAlreadyExists(String extensionName);

		String ExtensionWithGivenNameWasLoadedAlready(String extensionName);

		String ExtensionWithGivenNameDoesNotExist(String extensionName);

		String ExtensionDoesNotImplementInterfaceForEvent(String extensionName, String eventType);

		String ExtensionDoesNotImplementInterfaceForRequestListener(String extensionName, String requestType, String responseType);

		String AsyncResultStateCanBeSetOnlyOnce();
	}
}
