﻿using System;
using System.Collections.Specialized;


namespace FireBus.Web.Contracts
{
	[Serializable]
	public class HttpRequest
	{
		private readonly String _Action;

		private readonly NameValueCollection _Parameters;


		public String Action
		{
			get { return _Action; }
		}

		public NameValueCollection Parameters
		{
			get { return _Parameters; }
		}


		public HttpRequest(
			String action,
			NameValueCollection parameters)
		{
			_Action = action;
			_Parameters = parameters;
		}
	}
}
