﻿using System;


namespace FireBus.Web.Contracts
{
	[Serializable]
	public class HttpResponse
	{
		private readonly String _ContentType;

		private readonly Byte[] _Content;


		public String ContentType
		{
			get { return _ContentType; }
		}

		public Byte[] Content
		{
			get { return _Content; }
		}


		public HttpResponse(
			String contentType,
			Byte[] content)
		{
			_ContentType = contentType;
			_Content = content;
		}
	}
}
