﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace FireBus.Web.Contracts
{
	[Serializable]
	public class Route
	{
		private readonly String _Method;

		private readonly String _Pattern;

		private readonly String _Action;


		public String Method
		{
			get { return _Method; }
		}

		public String Pattern
		{
			get { return _Pattern; }
		}

		public String Action
		{
			get { return _Action; }
		}


		public Route(
			String method,
			String pattern,
			String action)
		{
			_Method = method;
			_Pattern = pattern;
			_Action = action;
		}
	}
}
