﻿using System;
using System.Collections.Generic;


namespace FireBus.Web.Contracts
{
	[Serializable]
	public class RouteListResponse
	{
		private readonly List<Route> _Items;


		public IList<Route> Items
		{
			get { return _Items; }
		}


		public RouteListResponse(IEnumerable<Route> items)
		{
			_Items = new List<Route>(items);
		}
	}
}
