﻿using System;


namespace FireBus.UnitTest.Contracts
{
	[Serializable]
	public class StringConversionRequest
	{
		private readonly String _Input;

		private readonly String _Conversion;


		public String Input
		{
			get { return _Input; }
		}

		public String Conversion
		{
			get { return _Conversion; }
		}


		public StringConversionRequest(String input, String conversion)
		{
			_Input = input;
			_Conversion = conversion;
		}
	}
}
