﻿using FireBus.Contracts;
using FireBus.UnitTest.Contracts;


namespace FireBus.UnitTest.Extensions
{
	public class LogExtension :
		IEventListener<LogMessageEvent>,
		IEventListener<StartupEvent>
	{
		private ExtensionName _Name;

		private ILogStorage _Storage;


		public void OnEvent(LogMessageEvent args)
		{
			_Storage.Push(_Name, args);
		}

		public void OnEvent(StartupEvent args)
		{
			_Name = args.Name;
			_Storage = args.Storage;
		}
	}
}
