﻿using System;
using System.Collections.Generic;


namespace FireBus.Contracts
{
	[Serializable]
	public class ExtensionListResponse
	{
		private readonly IList<ExtensionToken> _Extensions;


		public IList<ExtensionToken> Extensions
		{
			get { return _Extensions; }
		}


		public ExtensionListResponse(IEnumerable<ExtensionToken> extensions)
		{
			_Extensions = new List<ExtensionToken>(extensions ?? new ExtensionToken[0]);
		}
	}
}
