﻿using System;


namespace FireBus.Contracts
{
	[Serializable]
	public class ExtensionStorageInitialize
	{
		private readonly IStorage _Storage;


		public IStorage Storage
		{
			get { return _Storage; }
		}


		public ExtensionStorageInitialize(IStorage storage)
		{
			if (storage == null)
			{
				throw new ArgumentNullException("storage");
			}
			_Storage = storage;
		}
	}
}
