﻿using System;

using FireBus.Contracts;


namespace FireBus.Core
{
	public class ExtensionLoadError : ValueObject<String>
	{
		public ExtensionLoadError(String message)
		{
			if (String.IsNullOrEmpty(message))
			{
				throw new ArgumentNullException("message");
			}
			Value = message;
		}
	}
}
