﻿using System;
using System.Collections.Generic;


namespace FireBus.Shell.Contracts
{
	[Serializable]
	public class CommandListResponse
	{
		private readonly ShellCommandToken[] _Commands;


		public IList<ShellCommandToken> Commands
		{
			get { return _Commands; }
		}


		public CommandListResponse(IEnumerable<ShellCommandToken> commands)
		{
			var list = new List<ShellCommandToken>(commands);
			_Commands = list.ToArray();
		}
	}
}
