﻿using FireBus.Contracts;
using FireBus.UnitTest.Contracts;


namespace FireBus.UnitTest.Extensions
{
	public class EventNotifierExtension :
		IEventListener<StartupWithHostEvent>,
		IEventNotifier<AnUnknownEvent>
	{
		public void OnEvent(StartupWithHostEvent args)
		{
			if (Notify != null)
			{
				Notify(
					this,
					new NotifyEventArgs<AnUnknownEvent>(
						new AnUnknownEvent
							{
								Text = "Started"
							}));
			}
		}

		public event NotifyEventHandler<AnUnknownEvent> Notify;
	}
}
