﻿using System.Globalization;

using FireBus.Contracts;


namespace FireBus.UnitTest.Extensions
{
	public class UpperCaseConverterExtension : IRequestListener<ConvertRequest, ConvertResponse>
	{
		public ConvertResponse OnRequest(ConvertRequest request)
		{
			var output = request.Input.ToUpper(CultureInfo.CurrentCulture);
			return new ConvertResponse(output);
		}
	}
}
