﻿using System;
using FireBus.Core;
using FireBus.UnitTest.Contracts;


namespace FireBus.UnitTest.Fixtures.Hosts
{
	public class HostAccessor : MarshalByRefObject, IHost
	{
		private readonly Host _Host;


		public HostAccessor(Host host)
		{
			_Host = host;
		}


		public void Notify<TEvent>(TEvent args)
			where TEvent : class
		{
			_Host.BeginNotifyAll(args, null, null);
		}

		public override Object InitializeLifetimeService()
		{
			return null;
		}
	}
}
