﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using FireBus.Core.Configuration;
using FireBus.Contracts;
using FireBus.Core;


namespace FireBus.UnitTest.Fixtures.Hosts
{
	public class TestConfiguration : IConfiguration
	{
		public IMessageAccessor GetMessageAccessor()
		{
			return new ResourcesMessageAccessor();
		}

		public IList<ExtensionToken> GetExtensionTokens()
		{
			return new ExtensionToken[0];
		}
	}
}
